# steamcmd-container

Extended version of [CM2Walki/steamcmd](https://www.github.com/CM2Walki/steamcmd)
based on `Fedora`.

This provides a *relatively* current userspace for `steamcmd` and game servers to
use. Some utilities have been left in for convenience (*ie:* `wget`, `less`, `find`).

Size is *not* a priority for this image/project. Currency *(time, not money)*
and convenience *are* the priorities.

## Tweaks

The `steamcmd` libraries are made available using `ld.so.conf.d`. This *should* be
preferable to the usual solution: *juggling copies/symlinks*.

Below are the adjustments made to the package manager `dnf`.

- `max_parallel_downloads`: Raised to the limit of 20. Leverages faster networks
/ more connections.
- `fastestmirror`: Disabled. Contrary to what the name implies, this usually
slows things down. Measures latency -- *not* bandwidth.
- `deltarpm`: Disabled. No old packages will exist to diff. Spare the consideration.
